function [residual, g1, g2] = m1_static(y, x, params)
%
% Status : Computes static model for Dynare
%
% Warning : this file is generated automatically by Dynare
%           from model file (.mod)

residual = zeros( 128, 1);

%
% Model equations
%

T71 = y(20)-y(53)-params(61)/(1+params(62))*y(33)^(1+params(62));
T181 = y(12)-y(11)*y(12)/y(17)-y(49)/y(81)*y(75);
T215 = y(18)^params(54);
T306 = y(19)^params(56);
T636 = y(84)-y(117)-params(132)/(1+params(133))*y(97)^(1+params(133));
T740 = y(76)-y(75)*y(76)/y(81)-y(11)*y(113)/y(17);
T774 = y(82)^params(125);
T863 = y(83)^params(127);
T1135 = y(46)*T215/y(47)-y(46)*params(60)*T215*params(2)/y(47);
T1141 = y(46)*y(57)/y(47)-y(46)*y(57)*params(1)*params(60)/y(47);
T1167 = y(46)*(-1)/T306/y(47);
T1204 = y(11)*1/y(17);
T1231 = (-((-y(11))/(y(17)*y(17))));
T1264 = getPowerDeriv(y(18),params(54),1);
T1294 = getPowerDeriv(y(19),params(56),1);
T1334 = getPowerDeriv(T71,(-params(55)),1);
T1362 = y(46)*T215*params(2)*(-params(14))/y(47);
T1428 = (-(y(46)*T215*params(2)/y(47)));
T1614 = y(75)*1/y(81);
T1691 = y(110)*T774/y(111)-y(110)*params(131)*T774*params(73)/y(111);
T1697 = y(110)*y(121)/y(111)-y(110)*y(121)*params(72)*params(131)/y(111);
T1723 = y(110)*(-1)/T863/y(111);
T1782 = (-((-y(75))/(y(81)*y(81))));
T1810 = getPowerDeriv(y(82),params(125),1);
T1840 = getPowerDeriv(y(83),params(127),1);
T1880 = getPowerDeriv(T636,(-params(126)),1);
T1908 = y(110)*T774*params(73)*(-params(85))/y(111);
T1978 = (-(y(110)*T774*params(73)/y(111)));
lhs =y(47)*y(20)+y(46)*y(21)+y(46)*y(14)+y(47)*y(29)+y(46)*y(4)+y(46)*y(6);
rhs =y(21)*y(46)*y(37)+y(14)*y(46)*y(35)+y(29)*y(46)*(1+y(39)-params(20))+y(43)*y(33)-y(47)*y(42)+y(2)-y(14)/y(17)*y(11);
residual(1)= lhs-rhs;
lhs =y(57);
rhs =(1-params(70))*(y(20)-y(53))^(-params(55))+params(70)*T71^(-params(55));
residual(2)= lhs-rhs;
lhs =y(56);
rhs =(1-params(70))*params(61)*y(33)^params(62)+params(70)*y(33)^params(62)*y(57)*params(61);
residual(3)= lhs-rhs;
lhs =y(46)*y(57)*(1+y(6))/y(47);
rhs =y(46)*y(57)*params(1)*(y(37)+y(6)*params(60))/y(47);
residual(4)= lhs-rhs;
lhs =y(46)*y(57)*(1+y(4))/y(47);
rhs =y(46)*y(57)*params(1)*(y(35)-y(11)/y(17)+y(4)*params(60))/y(47);
residual(5)= lhs-rhs;
residual(6) = params(71)*(y(57)*y(59)-y(57)*params(1)*(y(39)+y(59)*params(60)*(1-params(20))))+(1-params(71))*(y(57)*(1+y(8))-y(57)*params(1)*(1+y(39)-params(20)+params(60)*y(8)));
lhs =y(43)*y(57);
rhs =y(56);
residual(7)= lhs-rhs;
lhs =y(21)*y(46)*y(37)+y(47)*y(18)+y(46)*y(32)+y(46)*y(12)+y(48)*y(49)+y(46)*y(9)+y(46)*y(3)+y(46)*y(5)+y(48)*y(52);
rhs =y(46)*y(21)+y(32)*y(46)*y(41)+y(46)*y(35)*y(12)+y(49)*y(48)*y(99)-y(2)-y(11)*y(12)/y(17)-y(49)/y(81)*y(75);
residual(8)= lhs-rhs;
residual(9) = y(46)*y(21)-params(14)*(y(46)*y(21)-y(46)*y(32)-y(46)*T181-y(48)*y(49))-y(46)*(1-(1-params(14))*(1-params(12)))*(y(32)-y(2))-y(12)*y(46)*(1-(1-params(14))*(1-params(11)))-y(49)*y(48)*(1-(1-params(14))*(1-params(13)));
lhs =y(46)*(1-y(5)-y(30))*T215/y(47);
rhs =y(46)*T215*params(2)*(y(37)-params(14)*y(30)-params(60)*y(5))/y(47);
residual(10)= lhs-rhs;
lhs =y(46)*T215*(1+y(9)-y(30)*(params(14)+(1-params(14))*params(12)))/y(47);
rhs =y(46)*T215*params(2)*(y(41)-params(14)*y(30)+params(60)*y(9))/y(47);
residual(11)= lhs-rhs;
lhs =y(46)*T215*(1+y(3)-y(30)*(params(14)+(1-params(14))*params(11)))/y(47);
rhs =y(46)*T215*params(2)*(y(35)-y(11)/y(17)-params(14)*y(30)+params(60)*y(3))/y(47);
residual(12)= lhs-rhs;
lhs =y(48)*T215*(1+y(52)-y(30)*(params(14)+(1-params(14))*params(13)))/y(47);
rhs =y(48)*T215*params(2)*(y(99)-y(75)/y(81)-params(14)*y(30)+params(60)*y(52))/y(47);
residual(13)= lhs-rhs;
lhs =y(32)*y(46)*y(41)+y(47)*y(19)+y(47)*y(28)+y(46)*y(10);
rhs =y(46)*y(32)+y(28)*y(47)*(1+y(38)-params(20));
residual(14)= lhs-rhs;
lhs =y(46)*y(32);
rhs =y(32)*y(46)*params(15)+y(47)*(1-params(15))*y(28)*params(6);
residual(15)= lhs-rhs;
lhs =y(46)*(1-y(10)-y(31))/T306/y(47);
rhs =y(46)*params(3)*(y(41)-params(60)*y(10)-params(15)*y(31))/T306/y(47);
residual(16)= lhs-rhs;
residual(17) = params(71)*(y(58)*(1-params(6)*(1-params(15))*y(31))/T306-params(3)*(y(38)+params(60)*(1-params(20))*y(58))/T306)+(1-params(71))*((1+y(7)-params(6)*(1-params(15))*y(31))/T306-params(3)*(1+y(38)-params(20)+params(60)*y(7))/T306);
lhs =log(y(44));
rhs =y(1)+params(4)*params(5)*log(y(28))+params(4)*(1-params(5))*log(y(29))+(1-params(4))*log(y(33));
residual(18)= lhs-rhs;
lhs =y(44)*params(4)*params(5);
rhs =y(28)*y(38);
residual(19)= lhs-rhs;
lhs =y(44)*params(4)*(1-params(5));
rhs =y(29)*y(39);
residual(20)= lhs-rhs;
lhs =y(44)*(1-params(4));
rhs =y(43)*y(33);
residual(21)= lhs-rhs;
lhs =y(47);
rhs =1;
residual(22)= lhs-rhs;
lhs =y(48);
rhs =1;
residual(23)= lhs-rhs;
lhs =y(46)*y(14)+y(46)*y(12)+y(46)*y(113);
rhs =y(46)*y(35)*(y(113)+y(14)+y(12))-y(11)+y(47)*y(27)-y(47)*y(42);
residual(24)= lhs-rhs;
lhs =y(54);
rhs =y(47)*y(27)+y(17)*(-y(46))+y(17)*y(34)-y(11)-y(47)*y(42);
residual(25)= lhs-rhs;
lhs =y(46)*y(14)+y(46)*y(12)+y(46)*y(113);
rhs =(1-params(16))*params(66)*exp(y(11)*(-params(67)))*y(46)*y(44)+(y(46)*y(14)+y(46)*y(12)+y(46)*y(113))*params(16)-y(55);
residual(26)= lhs-rhs;
lhs =y(55);
rhs =y(55)*params(19)+x(6);
residual(27)= lhs-rhs;
lhs =y(42);
rhs =y(42)*params(18)+y(44)*(1-params(18))*params(30)+x(5);
residual(28)= lhs-rhs;
lhs =y(46);
rhs =1;
residual(29)= lhs-rhs;
lhs =y(1)-log(params(10));
rhs =(y(1)-log(params(10)))*params(7)+x(1);
residual(30)= lhs-rhs;
lhs =y(2);
rhs =y(2)*params(8)+x(2);
residual(31)= lhs-rhs;
lhs =y(11);
rhs =y(11)*params(53)+x(4);
residual(32)= lhs-rhs;
lhs =y(53);
rhs =y(53)*params(9)+x(3);
residual(33)= lhs-rhs;
residual(34) = y(3);
residual(35) = y(4);
residual(36) = y(52);
residual(37) = y(5);
residual(38) = y(6);
residual(39) = y(7);
residual(40) = y(8);
residual(41) = y(9);
residual(42) = y(10);
lhs =y(16);
rhs =y(14)/(y(113)+y(14)+y(12));
residual(43)= lhs-rhs;
lhs =y(35);
rhs =y(34)*params(57)+y(34)*(1-params(57));
residual(44)= lhs-rhs;
lhs =y(37);
rhs =params(58)*y(36)+y(36)*(1-params(58));
residual(45)= lhs-rhs;
lhs =y(41);
rhs =params(59)*y(40)+y(40)*(1-params(59));
residual(46)= lhs-rhs;
lhs =y(22);
rhs =y(35);
residual(47)= lhs-rhs;
lhs =y(23);
rhs =y(37);
residual(48)= lhs-rhs;
lhs =y(24);
rhs =y(38);
residual(49)= lhs-rhs;
lhs =y(25);
rhs =y(39);
residual(50)= lhs-rhs;
lhs =y(26);
rhs =y(41);
residual(51)= lhs-rhs;
lhs =y(50);
rhs =y(48)*y(49)/(y(46)*y(44)*4);
residual(52)= lhs-rhs;
lhs =y(15);
rhs =y(14)/(y(44)*4);
residual(53)= lhs-rhs;
lhs =y(13);
rhs =y(12)/(y(44)*4);
residual(54)= lhs-rhs;
lhs =y(46)*y(17);
rhs =y(46)*y(14)+y(46)*y(12)+y(46)*y(113);
residual(55)= lhs-rhs;
lhs =y(45);
rhs =y(47)*y(27)/(y(46)*params(38));
residual(56)= lhs-rhs;
lhs =y(51);
rhs =y(17)/y(44);
residual(57)= lhs-rhs;
residual(58) = params(71)*((y(58)*(1-y(7))-1)/T306+y(7)*params(60)*params(3)/T306)+(1-params(71))*(y(58)-1);
residual(59) = params(71)*(y(57)*(y(59)*(1-y(8))-1)+y(57)*y(8)*params(1)*params(60))+(1-params(71))*(y(59)-1);
lhs =y(60);
rhs =y(28)-(1-params(20))*y(28);
residual(60)= lhs-rhs;
lhs =y(61);
rhs =y(29)-y(29)*(1-params(20));
residual(61)= lhs-rhs;
lhs =y(62);
rhs =y(19)+y(20)+y(18);
residual(62)= lhs-rhs;
lhs =y(63);
rhs =y(60)+y(61);
residual(63)= lhs-rhs;
lhs =y(46)*y(64);
rhs =y(46)*y(44)-y(47)*y(62)-y(47)*y(63)-y(47)*y(27);
residual(64)= lhs-rhs;
lhs =y(111)*y(84)+y(110)*y(85)+y(110)*y(78)+y(111)*y(93)+y(110)*y(68)+y(110)*y(70);
rhs =y(85)*y(110)*y(101)+y(78)*y(99)*y(110)+y(93)*y(110)*(1+y(103)-params(91))+y(107)*y(97)-y(111)*y(106)+y(66)-y(75)*y(78)/y(81);
residual(65)= lhs-rhs;
lhs =y(121);
rhs =(1-params(141))*(y(84)-y(117))^(-params(126))+params(141)*T636^(-params(126));
residual(66)= lhs-rhs;
lhs =y(120);
rhs =(1-params(141))*params(132)*y(97)^params(133)+params(141)*y(97)^params(133)*y(121)*params(132);
residual(67)= lhs-rhs;
lhs =y(110)*y(121)*(1+y(70))/y(111);
rhs =y(110)*y(121)*params(72)*(y(101)+y(70)*params(131))/y(111);
residual(68)= lhs-rhs;
lhs =y(110)*y(121)*(1+y(68))/y(111);
rhs =y(110)*y(121)*params(72)*(y(99)-y(75)/y(81)+y(68)*params(131))/y(111);
residual(69)= lhs-rhs;
residual(70) = params(142)*(y(121)*y(123)-y(121)*params(72)*(y(103)+y(123)*params(131)*(1-params(91))))+(1-params(142))*(y(121)*(1+y(72))-y(121)*params(72)*(1+y(103)-params(91)+params(131)*y(72)));
lhs =y(107)*y(121);
rhs =y(120);
residual(71)= lhs-rhs;
lhs =y(85)*y(110)*y(101)+y(111)*y(82)+y(110)*y(96)+y(110)*y(76)+y(113)*y(112)+y(110)*y(73)+y(110)*y(67)+y(110)*y(69)+y(112)*y(116);
rhs =y(110)*y(85)+y(96)*y(110)*y(105)+y(99)*y(110)*y(76)+y(113)*y(35)*y(112)-y(66)-y(75)*y(76)/y(81)-y(11)*y(113)/y(17);
residual(72)= lhs-rhs;
residual(73) = y(110)*y(85)-params(85)*(y(110)*y(85)-y(110)*y(96)-y(110)*T740-y(113)*y(112))-y(110)*(1-(1-params(85))*(1-params(83)))*(y(96)-y(66))-y(76)*y(110)*(1-(1-params(85))*(1-params(82)))-y(113)*y(112)*(1-(1-params(85))*(1-params(84)));
lhs =y(110)*(1-y(69)-y(94))*T774/y(111);
rhs =y(110)*T774*params(73)*(y(101)-params(85)*y(94)-params(131)*y(69))/y(111);
residual(74)= lhs-rhs;
lhs =y(110)*T774*(1+y(73)-y(94)*(params(85)+(1-params(85))*params(83)))/y(111);
rhs =y(110)*T774*params(73)*(y(105)-params(85)*y(94)+params(131)*y(73))/y(111);
residual(75)= lhs-rhs;
lhs =y(110)*T774*(1+y(67)-y(94)*(params(85)+(1-params(85))*params(82)))/y(111);
rhs =y(110)*T774*params(73)*(y(99)-y(75)/y(81)-params(85)*y(94)+params(131)*y(67))/y(111);
residual(76)= lhs-rhs;
lhs =y(112)*T774*(1+y(116)-y(94)*(params(85)+(1-params(85))*params(84)))/y(111);
rhs =y(112)*T774*params(73)*(y(35)-y(11)/y(17)-params(85)*y(94)+params(131)*y(116))/y(111);
residual(77)= lhs-rhs;
lhs =y(96)*y(110)*y(105)+y(111)*y(83)+y(111)*y(92)+y(110)*y(74);
rhs =y(110)*y(96)+y(92)*y(111)*(1+y(102)-params(91));
residual(78)= lhs-rhs;
lhs =y(110)*y(96);
rhs =y(96)*y(110)*params(86)+y(111)*(1-params(86))*y(92)*params(77);
residual(79)= lhs-rhs;
lhs =y(110)*(1-y(74)-y(95))/T863/y(111);
rhs =y(110)*params(74)*(y(105)-params(131)*y(74)-params(86)*y(95))/T863/y(111);
residual(80)= lhs-rhs;
residual(81) = params(142)*(y(122)*(1-params(77)*(1-params(86))*y(95))/T863-params(74)*(y(102)+params(131)*(1-params(91))*y(122))/T863)+(1-params(142))*((1+y(71)-params(77)*(1-params(86))*y(95))/T863-params(74)*(1+y(102)-params(91)+params(131)*y(71))/T863);
lhs =log(y(108));
rhs =y(65)+params(75)*params(76)*log(y(92))+params(75)*(1-params(76))*log(y(93))+(1-params(75))*log(y(97));
residual(82)= lhs-rhs;
lhs =y(108)*params(75)*params(76);
rhs =y(92)*y(102);
residual(83)= lhs-rhs;
lhs =y(108)*params(75)*(1-params(76));
rhs =y(93)*y(103);
residual(84)= lhs-rhs;
lhs =y(108)*(1-params(75));
rhs =y(107)*y(97);
residual(85)= lhs-rhs;
lhs =y(111);
rhs =1;
residual(86)= lhs-rhs;
lhs =y(112);
rhs =1;
residual(87)= lhs-rhs;
lhs =y(110)*y(78)+y(110)*y(76)+y(49)*y(110);
rhs =y(99)*y(110)*(y(49)+y(78)+y(76))-y(75)+y(111)*y(91)-y(111)*y(106);
residual(88)= lhs-rhs;
lhs =y(118);
rhs =y(111)*y(91)+y(81)*(-y(110))+y(81)*y(98)-y(75)-y(111)*y(106);
residual(89)= lhs-rhs;
lhs =y(110)*y(78)+y(110)*y(76)+y(49)*y(110);
rhs =(1-params(87))*params(137)*exp(y(75)*(-params(138)))*y(110)*y(108)+(y(110)*y(78)+y(110)*y(76)+y(49)*y(110))*params(87)-y(119);
residual(90)= lhs-rhs;
residual(91) = y(119);
lhs =y(106);
rhs =y(106)*params(89)+y(108)*(1-params(89))*params(101)+x(11);
residual(92)= lhs-rhs;
lhs =y(110);
rhs =1;
residual(93)= lhs-rhs;
lhs =y(65)-log(params(81));
rhs =(y(65)-log(params(81)))*params(78)+x(7);
residual(94)= lhs-rhs;
lhs =y(66);
rhs =y(66)*params(79)+x(8);
residual(95)= lhs-rhs;
lhs =y(75);
rhs =y(75)*params(124)+x(10);
residual(96)= lhs-rhs;
lhs =y(117);
rhs =y(117)*params(80)+x(9);
residual(97)= lhs-rhs;
residual(98) = y(67);
residual(99) = y(68);
residual(100) = y(116);
residual(101) = y(69);
residual(102) = y(70);
residual(103) = y(71);
residual(104) = y(72);
residual(105) = y(73);
residual(106) = y(74);
lhs =y(80);
rhs =y(78)/(y(49)+y(78)+y(76));
residual(107)= lhs-rhs;
lhs =y(99);
rhs =y(98)*params(128)+y(98)*(1-params(128));
residual(108)= lhs-rhs;
lhs =y(101);
rhs =params(129)*y(100)+y(100)*(1-params(129));
residual(109)= lhs-rhs;
lhs =y(105);
rhs =params(130)*y(104)+y(104)*(1-params(130));
residual(110)= lhs-rhs;
lhs =y(86);
rhs =y(99);
residual(111)= lhs-rhs;
lhs =y(87);
rhs =y(101);
residual(112)= lhs-rhs;
lhs =y(88);
rhs =y(102);
residual(113)= lhs-rhs;
lhs =y(89);
rhs =y(103);
residual(114)= lhs-rhs;
lhs =y(90);
rhs =y(105);
residual(115)= lhs-rhs;
lhs =y(114);
rhs =y(113)*y(112)/(4*y(110)*y(108));
residual(116)= lhs-rhs;
lhs =y(79);
rhs =y(78)/(4*y(108));
residual(117)= lhs-rhs;
lhs =y(77);
rhs =y(76)/(4*y(108));
residual(118)= lhs-rhs;
lhs =y(81)*y(110);
rhs =y(110)*y(78)+y(110)*y(76)+y(49)*y(110);
residual(119)= lhs-rhs;
lhs =y(109);
rhs =y(111)*y(91)/(y(110)*params(109));
residual(120)= lhs-rhs;
lhs =y(115);
rhs =y(81)/y(108);
residual(121)= lhs-rhs;
residual(122) = params(142)*((y(122)*(1-y(71))-1)/T863+y(71)*params(131)*params(74)/T863)+(1-params(142))*(y(122)-1);
residual(123) = params(142)*(y(121)*(y(123)*(1-y(72))-1)+y(121)*y(72)*params(72)*params(131))+(1-params(142))*(y(123)-1);
lhs =y(124);
rhs =y(92)-(1-params(91))*y(92);
residual(124)= lhs-rhs;
lhs =y(125);
rhs =y(93)-y(93)*(1-params(91));
residual(125)= lhs-rhs;
lhs =y(126);
rhs =y(83)+y(84)+y(82);
residual(126)= lhs-rhs;
lhs =y(127);
rhs =y(124)+y(125);
residual(127)= lhs-rhs;
lhs =y(110)*y(128);
rhs =y(110)*y(108)-y(111)*y(126)-y(111)*y(127)-y(111)*y(91);
residual(128)= lhs-rhs;
if ~isreal(residual)
  residual = real(residual)+imag(residual).^2;
end
if nargout >= 2,
  g1 = zeros(128, 128);

%
% Jacobian matrix
%

  g1(1,2)=(-1);
  g1(1,4)=y(46);
  g1(1,6)=y(46);
  g1(1,11)=y(14)/y(17);
  g1(1,14)=y(46)-(y(46)*y(35)-T1204);
  g1(1,17)=y(11)*(-y(14))/(y(17)*y(17));
  g1(1,20)=y(47);
  g1(1,21)=y(46)-y(46)*y(37);
  g1(1,29)=y(47)-y(46)*(1+y(39)-params(20));
  g1(1,33)=(-y(43));
  g1(1,35)=(-(y(46)*y(14)));
  g1(1,37)=(-(y(46)*y(21)));
  g1(1,39)=(-(y(46)*y(29)));
  g1(1,42)=y(47);
  g1(1,43)=(-y(33));
  g1(1,46)=y(6)+y(4)+y(21)+y(14)-(y(21)*y(37)+y(14)*y(35)+y(29)*(1+y(39)-params(20)));
  g1(1,47)=y(20)+y(29)-(-y(42));
  g1(2,20)=(-((1-params(70))*getPowerDeriv(y(20)-y(53),(-params(55)),1)+params(70)*T1334));
  g1(2,33)=(-(params(70)*T1334*(-(params(61)/(1+params(62))*getPowerDeriv(y(33),1+params(62),1)))));
  g1(2,53)=(-((1-params(70))*(-(getPowerDeriv(y(20)-y(53),(-params(55)),1)))+params(70)*(-T1334)));
  g1(2,57)=1;
  g1(3,33)=(-((1-params(70))*params(61)*getPowerDeriv(y(33),params(62),1)+params(70)*y(57)*params(61)*getPowerDeriv(y(33),params(62),1)));
  g1(3,56)=1;
  g1(3,57)=(-(params(70)*params(61)*y(33)^params(62)));
  g1(4,6)=T1141;
  g1(4,37)=(-(y(46)*y(57)*params(1)/y(47)));
  g1(4,46)=y(57)*(1+y(6))/y(47)-y(57)*params(1)*(y(37)+y(6)*params(60))/y(47);
  g1(4,47)=(-(y(46)*y(57)*(1+y(6))))/(y(47)*y(47))-(-(y(46)*y(57)*params(1)*(y(37)+y(6)*params(60))))/(y(47)*y(47));
  g1(4,57)=y(46)*(1+y(6))/y(47)-y(46)*params(1)*(y(37)+y(6)*params(60))/y(47);
  g1(5,4)=T1141;
  g1(5,11)=(-(y(46)*y(57)*params(1)*(-(1/y(17)))/y(47)));
  g1(5,17)=(-(y(46)*y(57)*params(1)*T1231/y(47)));
  g1(5,35)=(-(y(46)*y(57)*params(1)/y(47)));
  g1(5,46)=y(57)*(1+y(4))/y(47)-y(57)*params(1)*(y(35)-y(11)/y(17)+y(4)*params(60))/y(47);
  g1(5,47)=(-(y(46)*y(57)*(1+y(4))))/(y(47)*y(47))-(-(y(46)*y(57)*params(1)*(y(35)-y(11)/y(17)+y(4)*params(60))))/(y(47)*y(47));
  g1(5,57)=y(46)*(1+y(4))/y(47)-y(46)*params(1)*(y(35)-y(11)/y(17)+y(4)*params(60))/y(47);
  g1(6,8)=(1-params(71))*(y(57)-y(57)*params(1)*params(60));
  g1(6,39)=params(71)*(-(y(57)*params(1)))+(1-params(71))*(-(y(57)*params(1)));
  g1(6,57)=params(71)*(y(59)-params(1)*(y(39)+y(59)*params(60)*(1-params(20))))+(1-params(71))*(1+y(8)-params(1)*(1+y(39)-params(20)+params(60)*y(8)));
  g1(6,59)=params(71)*(y(57)-y(57)*params(1)*params(60)*(1-params(20)));
  g1(7,43)=y(57);
  g1(7,56)=(-1);
  g1(7,57)=y(43);
  g1(8,2)=1;
  g1(8,3)=y(46);
  g1(8,5)=y(46);
  g1(8,9)=y(46);
  g1(8,11)=y(12)/y(17);
  g1(8,12)=y(46)-(y(46)*y(35)-T1204);
  g1(8,17)=y(11)*(-y(12))/(y(17)*y(17));
  g1(8,18)=y(47);
  g1(8,21)=y(46)*y(37)-y(46);
  g1(8,32)=y(46)-y(46)*y(41);
  g1(8,35)=(-(y(46)*y(12)));
  g1(8,37)=y(46)*y(21);
  g1(8,41)=(-(y(46)*y(32)));
  g1(8,46)=y(5)+y(3)+y(9)+y(12)+y(32)+y(21)*y(37)-(y(21)+y(32)*y(41)+y(35)*y(12));
  g1(8,47)=y(18);
  g1(8,48)=y(49)+y(52)-y(49)*y(99);
  g1(8,49)=y(48)-(y(48)*y(99)-T1614);
  g1(8,52)=y(48);
  g1(8,75)=y(49)/y(81);
  g1(8,81)=y(75)*(-y(49))/(y(81)*y(81));
  g1(8,99)=(-(y(48)*y(49)));
  g1(9,2)=y(46)*(1-(1-params(14))*(1-params(12)));
  g1(9,11)=(-(params(14)*(-(y(46)*(-(y(12)/y(17)))))));
  g1(9,12)=(-(params(14)*(-(y(46)*(1-T1204)))))-y(46)*(1-(1-params(14))*(1-params(11)));
  g1(9,17)=(-(params(14)*(-(y(46)*(-(y(11)*(-y(12))/(y(17)*y(17))))))));
  g1(9,21)=y(46)-y(46)*params(14);
  g1(9,32)=(-(params(14)*(-y(46))))-y(46)*(1-(1-params(14))*(1-params(12)));
  g1(9,46)=y(21)-params(14)*(y(21)-y(32)-T181)-(1-(1-params(14))*(1-params(12)))*(y(32)-y(2))-y(12)*(1-(1-params(14))*(1-params(11)));
  g1(9,48)=(-(params(14)*(-y(49))))-y(49)*(1-(1-params(14))*(1-params(13)));
  g1(9,49)=(-(params(14)*((-(y(46)*(-T1614)))-y(48))))-y(48)*(1-(1-params(14))*(1-params(13)));
  g1(9,75)=(-(params(14)*(-(y(46)*(-(y(49)/y(81)))))));
  g1(9,81)=(-(params(14)*(-(y(46)*(-(y(75)*(-y(49))/(y(81)*y(81))))))));
  g1(10,5)=y(46)*(-T215)/y(47)-y(46)*T215*params(2)*(-params(60))/y(47);
  g1(10,18)=y(46)*(1-y(5)-y(30))*T1264/y(47)-y(46)*(y(37)-params(14)*y(30)-params(60)*y(5))*params(2)*T1264/y(47);
  g1(10,30)=y(46)*(-T215)/y(47)-T1362;
  g1(10,37)=T1428;
  g1(10,46)=(1-y(5)-y(30))*T215/y(47)-T215*params(2)*(y(37)-params(14)*y(30)-params(60)*y(5))/y(47);
  g1(10,47)=(-(y(46)*(1-y(5)-y(30))*T215))/(y(47)*y(47))-(-(y(46)*T215*params(2)*(y(37)-params(14)*y(30)-params(60)*y(5))))/(y(47)*y(47));
  g1(11,9)=T1135;
  g1(11,18)=y(46)*(1+y(9)-y(30)*(params(14)+(1-params(14))*params(12)))*T1264/y(47)-y(46)*(y(41)-params(14)*y(30)+params(60)*y(9))*params(2)*T1264/y(47);
  g1(11,30)=y(46)*T215*(-(params(14)+(1-params(14))*params(12)))/y(47)-T1362;
  g1(11,41)=T1428;
  g1(11,46)=T215*(1+y(9)-y(30)*(params(14)+(1-params(14))*params(12)))/y(47)-T215*params(2)*(y(41)-params(14)*y(30)+params(60)*y(9))/y(47);
  g1(11,47)=(-(y(46)*T215*(1+y(9)-y(30)*(params(14)+(1-params(14))*params(12)))))/(y(47)*y(47))-(-(y(46)*T215*params(2)*(y(41)-params(14)*y(30)+params(60)*y(9))))/(y(47)*y(47));
  g1(12,3)=T1135;
  g1(12,11)=(-(y(46)*T215*params(2)*(-(1/y(17)))/y(47)));
  g1(12,17)=(-(y(46)*T215*params(2)*T1231/y(47)));
  g1(12,18)=y(46)*(1+y(3)-y(30)*(params(14)+(1-params(14))*params(11)))*T1264/y(47)-y(46)*(y(35)-y(11)/y(17)-params(14)*y(30)+params(60)*y(3))*params(2)*T1264/y(47);
  g1(12,30)=y(46)*T215*(-(params(14)+(1-params(14))*params(11)))/y(47)-T1362;
  g1(12,35)=T1428;
  g1(12,46)=T215*(1+y(3)-y(30)*(params(14)+(1-params(14))*params(11)))/y(47)-T215*params(2)*(y(35)-y(11)/y(17)-params(14)*y(30)+params(60)*y(3))/y(47);
  g1(12,47)=(-(y(46)*T215*(1+y(3)-y(30)*(params(14)+(1-params(14))*params(11)))))/(y(47)*y(47))-(-(y(46)*T215*params(2)*(y(35)-y(11)/y(17)-params(14)*y(30)+params(60)*y(3))))/(y(47)*y(47));
  g1(13,18)=y(48)*(1+y(52)-y(30)*(params(14)+(1-params(14))*params(13)))*T1264/y(47)-y(48)*(y(99)-y(75)/y(81)-params(14)*y(30)+params(60)*y(52))*params(2)*T1264/y(47);
  g1(13,30)=y(48)*T215*(-(params(14)+(1-params(14))*params(13)))/y(47)-y(48)*T215*params(2)*(-params(14))/y(47);
  g1(13,47)=(-(y(48)*T215*(1+y(52)-y(30)*(params(14)+(1-params(14))*params(13)))))/(y(47)*y(47))-(-(y(48)*T215*params(2)*(y(99)-y(75)/y(81)-params(14)*y(30)+params(60)*y(52))))/(y(47)*y(47));
  g1(13,48)=T215*(1+y(52)-y(30)*(params(14)+(1-params(14))*params(13)))/y(47)-T215*params(2)*(y(99)-y(75)/y(81)-params(14)*y(30)+params(60)*y(52))/y(47);
  g1(13,52)=y(48)*T215/y(47)-y(48)*params(60)*T215*params(2)/y(47);
  g1(13,75)=(-(y(48)*T215*params(2)*(-(1/y(81)))/y(47)));
  g1(13,81)=(-(y(48)*T215*params(2)*T1782/y(47)));
  g1(13,99)=(-(y(48)*T215*params(2)/y(47)));
  g1(14,10)=y(46);
  g1(14,19)=y(47);
  g1(14,28)=y(47)-y(47)*(1+y(38)-params(20));
  g1(14,32)=y(46)*y(41)-y(46);
  g1(14,38)=(-(y(47)*y(28)));
  g1(14,41)=y(46)*y(32);
  g1(14,46)=y(10)+y(32)*y(41)-y(32);
  g1(14,47)=y(19)+y(28)-y(28)*(1+y(38)-params(20));
  g1(15,28)=(-(y(47)*(1-params(15))*params(6)));
  g1(15,32)=y(46)-y(46)*params(15);
  g1(15,46)=y(32)-y(32)*params(15);
  g1(15,47)=(-((1-params(15))*y(28)*params(6)));
  g1(16,10)=T1167-y(46)*params(3)*(-params(60))/T306/y(47);
  g1(16,19)=y(46)*(-((1-y(10)-y(31))*T1294))/(T306*T306)/y(47)-y(46)*(-(params(3)*(y(41)-params(60)*y(10)-params(15)*y(31))*T1294))/(T306*T306)/y(47);
  g1(16,31)=T1167-y(46)*params(3)*(-params(15))/T306/y(47);
  g1(16,41)=(-(y(46)*params(3)/T306/y(47)));
  g1(16,46)=(1-y(10)-y(31))/T306/y(47)-params(3)*(y(41)-params(60)*y(10)-params(15)*y(31))/T306/y(47);
  g1(16,47)=(-(y(46)*(1-y(10)-y(31))/T306))/(y(47)*y(47))-(-(y(46)*params(3)*(y(41)-params(60)*y(10)-params(15)*y(31))/T306))/(y(47)*y(47));
  g1(17,7)=(1-params(71))*(1/T306-params(60)*params(3)/T306);
  g1(17,19)=params(71)*((-(y(58)*(1-params(6)*(1-params(15))*y(31))*T1294))/(T306*T306)-(-(params(3)*(y(38)+params(60)*(1-params(20))*y(58))*T1294))/(T306*T306))+(1-params(71))*((-((1+y(7)-params(6)*(1-params(15))*y(31))*T1294))/(T306*T306)-(-(params(3)*(1+y(38)-params(20)+params(60)*y(7))*T1294))/(T306*T306));
  g1(17,31)=params(71)*y(58)*(-((1-params(15))*params(6)))/T306+(1-params(71))*(-((1-params(15))*params(6)))/T306;
  g1(17,38)=params(71)*(-(params(3)/T306))+(1-params(71))*(-(params(3)/T306));
  g1(17,58)=params(71)*((1-params(6)*(1-params(15))*y(31))/T306-params(60)*(1-params(20))*params(3)/T306);
  g1(18,1)=(-1);
  g1(18,28)=(-(params(4)*params(5)*1/y(28)));
  g1(18,29)=(-(params(4)*(1-params(5))*1/y(29)));
  g1(18,33)=(-((1-params(4))*1/y(33)));
  g1(18,44)=1/y(44);
  g1(19,28)=(-y(38));
  g1(19,38)=(-y(28));
  g1(19,44)=params(4)*params(5);
  g1(20,29)=(-y(39));
  g1(20,39)=(-y(29));
  g1(20,44)=params(4)*(1-params(5));
  g1(21,33)=(-y(43));
  g1(21,43)=(-y(33));
  g1(21,44)=1-params(4);
  g1(22,47)=1;
  g1(23,48)=1;
  g1(24,11)=1;
  g1(24,12)=y(46)-y(46)*y(35);
  g1(24,14)=y(46)-y(46)*y(35);
  g1(24,27)=(-y(47));
  g1(24,35)=(-(y(46)*(y(113)+y(14)+y(12))));
  g1(24,42)=y(47);
  g1(24,46)=y(113)+y(14)+y(12)-y(35)*(y(113)+y(14)+y(12));
  g1(24,47)=(-(y(27)-y(42)));
  g1(24,113)=y(46)-y(46)*y(35);
  g1(25,11)=1;
  g1(25,17)=(-((-y(46))+y(34)));
  g1(25,27)=(-y(47));
  g1(25,34)=(-y(17));
  g1(25,42)=y(47);
  g1(25,46)=y(17);
  g1(25,47)=(-(y(27)-y(42)));
  g1(25,54)=1;
  g1(26,11)=(-((1-params(16))*y(46)*y(44)*params(66)*(-params(67))*exp(y(11)*(-params(67)))));
  g1(26,12)=y(46)-y(46)*params(16);
  g1(26,14)=y(46)-y(46)*params(16);
  g1(26,44)=(-((1-params(16))*y(46)*params(66)*exp(y(11)*(-params(67)))));
  g1(26,46)=y(113)+y(14)+y(12)-((1-params(16))*y(44)*params(66)*exp(y(11)*(-params(67)))+(y(113)+y(14)+y(12))*params(16));
  g1(26,55)=1;
  g1(26,113)=y(46)-y(46)*params(16);
  g1(27,55)=1-params(19);
  g1(28,42)=1-params(18);
  g1(28,44)=(-((1-params(18))*params(30)));
  g1(29,46)=1;
  g1(30,1)=1-params(7);
  g1(31,2)=1-params(8);
  g1(32,11)=1-params(53);
  g1(33,53)=1-params(9);
  g1(34,3)=1;
  g1(35,4)=1;
  g1(36,52)=1;
  g1(37,5)=1;
  g1(38,6)=1;
  g1(39,7)=1;
  g1(40,8)=1;
  g1(41,9)=1;
  g1(42,10)=1;
  g1(43,12)=(-((-y(14))/((y(113)+y(14)+y(12))*(y(113)+y(14)+y(12)))));
  g1(43,14)=(-((y(113)+y(14)+y(12)-y(14))/((y(113)+y(14)+y(12))*(y(113)+y(14)+y(12)))));
  g1(43,16)=1;
  g1(43,113)=(-((-y(14))/((y(113)+y(14)+y(12))*(y(113)+y(14)+y(12)))));
  g1(44,34)=(-(params(57)+1-params(57)));
  g1(44,35)=1;
  g1(45,36)=(-(params(58)+1-params(58)));
  g1(45,37)=1;
  g1(46,40)=(-(params(59)+1-params(59)));
  g1(46,41)=1;
  g1(47,22)=1;
  g1(47,35)=(-1);
  g1(48,23)=1;
  g1(48,37)=(-1);
  g1(49,24)=1;
  g1(49,38)=(-1);
  g1(50,25)=1;
  g1(50,39)=(-1);
  g1(51,26)=1;
  g1(51,41)=(-1);
  g1(52,44)=(-((-(y(48)*y(49)*y(46)*4))/(y(46)*y(44)*4*y(46)*y(44)*4)));
  g1(52,46)=(-((-(y(48)*y(49)*y(44)*4))/(y(46)*y(44)*4*y(46)*y(44)*4)));
  g1(52,48)=(-(y(49)/(y(46)*y(44)*4)));
  g1(52,49)=(-(y(48)/(y(46)*y(44)*4)));
  g1(52,50)=1;
  g1(53,14)=(-(1/(y(44)*4)));
  g1(53,15)=1;
  g1(53,44)=(-((-(y(14)*4))/(y(44)*4*y(44)*4)));
  g1(54,12)=(-(1/(y(44)*4)));
  g1(54,13)=1;
  g1(54,44)=(-((-(y(12)*4))/(y(44)*4*y(44)*4)));
  g1(55,12)=(-y(46));
  g1(55,14)=(-y(46));
  g1(55,17)=y(46);
  g1(55,46)=y(17)-(y(113)+y(14)+y(12));
  g1(55,113)=(-y(46));
  g1(56,27)=(-(y(47)/(y(46)*params(38))));
  g1(56,45)=1;
  g1(56,46)=(-((-(y(47)*y(27)*params(38)))/(y(46)*params(38)*y(46)*params(38))));
  g1(56,47)=(-(y(27)/(y(46)*params(38))));
  g1(57,17)=(-(1/y(44)));
  g1(57,44)=(-((-y(17))/(y(44)*y(44))));
  g1(57,51)=1;
  g1(58,7)=params(71)*(params(60)*params(3)/T306+(-y(58))/T306);
  g1(58,19)=params(71)*((-((y(58)*(1-y(7))-1)*T1294))/(T306*T306)+(-(y(7)*params(60)*params(3)*T1294))/(T306*T306));
  g1(58,58)=1-params(71)+params(71)*(1-y(7))/T306;
  g1(59,8)=params(71)*(y(57)*(-y(59))+y(57)*params(1)*params(60));
  g1(59,57)=params(71)*(y(59)*(1-y(8))-1+y(8)*params(1)*params(60));
  g1(59,59)=1-params(71)+params(71)*y(57)*(1-y(8));
  g1(60,28)=(-(1-(1-params(20))));
  g1(60,60)=1;
  g1(61,29)=(-(1-(1-params(20))));
  g1(61,61)=1;
  g1(62,18)=(-1);
  g1(62,19)=(-1);
  g1(62,20)=(-1);
  g1(62,62)=1;
  g1(63,60)=(-1);
  g1(63,61)=(-1);
  g1(63,63)=1;
  g1(64,27)=y(47);
  g1(64,44)=(-y(46));
  g1(64,46)=y(64)-y(44);
  g1(64,47)=(-((-y(62))-y(63)-y(27)));
  g1(64,62)=y(47);
  g1(64,63)=y(47);
  g1(64,64)=y(46);
  g1(65,66)=(-1);
  g1(65,68)=y(110);
  g1(65,70)=y(110);
  g1(65,75)=y(78)/y(81);
  g1(65,78)=y(110)-(y(99)*y(110)-T1614);
  g1(65,81)=y(75)*(-y(78))/(y(81)*y(81));
  g1(65,84)=y(111);
  g1(65,85)=y(110)-y(110)*y(101);
  g1(65,93)=y(111)-y(110)*(1+y(103)-params(91));
  g1(65,97)=(-y(107));
  g1(65,99)=(-(y(110)*y(78)));
  g1(65,101)=(-(y(110)*y(85)));
  g1(65,103)=(-(y(110)*y(93)));
  g1(65,106)=y(111);
  g1(65,107)=(-y(97));
  g1(65,110)=y(70)+y(68)+y(85)+y(78)-(y(85)*y(101)+y(99)*y(78)+y(93)*(1+y(103)-params(91)));
  g1(65,111)=y(84)+y(93)-(-y(106));
  g1(66,84)=(-((1-params(141))*getPowerDeriv(y(84)-y(117),(-params(126)),1)+params(141)*T1880));
  g1(66,97)=(-(params(141)*T1880*(-(params(132)/(1+params(133))*getPowerDeriv(y(97),1+params(133),1)))));
  g1(66,117)=(-((1-params(141))*(-(getPowerDeriv(y(84)-y(117),(-params(126)),1)))+params(141)*(-T1880)));
  g1(66,121)=1;
  g1(67,97)=(-((1-params(141))*params(132)*getPowerDeriv(y(97),params(133),1)+params(141)*y(121)*params(132)*getPowerDeriv(y(97),params(133),1)));
  g1(67,120)=1;
  g1(67,121)=(-(params(141)*params(132)*y(97)^params(133)));
  g1(68,70)=T1697;
  g1(68,101)=(-(y(110)*y(121)*params(72)/y(111)));
  g1(68,110)=y(121)*(1+y(70))/y(111)-y(121)*params(72)*(y(101)+y(70)*params(131))/y(111);
  g1(68,111)=(-(y(110)*y(121)*(1+y(70))))/(y(111)*y(111))-(-(y(110)*y(121)*params(72)*(y(101)+y(70)*params(131))))/(y(111)*y(111));
  g1(68,121)=y(110)*(1+y(70))/y(111)-y(110)*params(72)*(y(101)+y(70)*params(131))/y(111);
  g1(69,68)=T1697;
  g1(69,75)=(-(y(110)*y(121)*params(72)*(-(1/y(81)))/y(111)));
  g1(69,81)=(-(y(110)*y(121)*params(72)*T1782/y(111)));
  g1(69,99)=(-(y(110)*y(121)*params(72)/y(111)));
  g1(69,110)=y(121)*(1+y(68))/y(111)-y(121)*params(72)*(y(99)-y(75)/y(81)+y(68)*params(131))/y(111);
  g1(69,111)=(-(y(110)*y(121)*(1+y(68))))/(y(111)*y(111))-(-(y(110)*y(121)*params(72)*(y(99)-y(75)/y(81)+y(68)*params(131))))/(y(111)*y(111));
  g1(69,121)=y(110)*(1+y(68))/y(111)-y(110)*params(72)*(y(99)-y(75)/y(81)+y(68)*params(131))/y(111);
  g1(70,72)=(1-params(142))*(y(121)-y(121)*params(72)*params(131));
  g1(70,103)=params(142)*(-(y(121)*params(72)))+(1-params(142))*(-(y(121)*params(72)));
  g1(70,121)=params(142)*(y(123)-params(72)*(y(103)+y(123)*params(131)*(1-params(91))))+(1-params(142))*(1+y(72)-params(72)*(1+y(103)-params(91)+params(131)*y(72)));
  g1(70,123)=params(142)*(y(121)-y(121)*params(72)*params(131)*(1-params(91)));
  g1(71,107)=y(121);
  g1(71,120)=(-1);
  g1(71,121)=y(107);
  g1(72,11)=y(113)/y(17);
  g1(72,17)=y(11)*(-y(113))/(y(17)*y(17));
  g1(72,35)=(-(y(113)*y(112)));
  g1(72,66)=1;
  g1(72,67)=y(110);
  g1(72,69)=y(110);
  g1(72,73)=y(110);
  g1(72,75)=y(76)/y(81);
  g1(72,76)=y(110)-(y(99)*y(110)-T1614);
  g1(72,81)=y(75)*(-y(76))/(y(81)*y(81));
  g1(72,82)=y(111);
  g1(72,85)=y(110)*y(101)-y(110);
  g1(72,96)=y(110)-y(110)*y(105);
  g1(72,99)=(-(y(110)*y(76)));
  g1(72,101)=y(110)*y(85);
  g1(72,105)=(-(y(110)*y(96)));
  g1(72,110)=y(69)+y(67)+y(73)+y(76)+y(96)+y(85)*y(101)-(y(85)+y(96)*y(105)+y(99)*y(76));
  g1(72,111)=y(82);
  g1(72,112)=y(113)+y(116)-y(35)*y(113);
  g1(72,113)=y(112)-(y(35)*y(112)-T1204);
  g1(72,116)=y(112);
  g1(73,11)=(-(params(85)*(-(y(110)*(-(y(113)/y(17)))))));
  g1(73,17)=(-(params(85)*(-(y(110)*(-(y(11)*(-y(113))/(y(17)*y(17))))))));
  g1(73,66)=y(110)*(1-(1-params(85))*(1-params(83)));
  g1(73,75)=(-(params(85)*(-(y(110)*(-(y(76)/y(81)))))));
  g1(73,76)=(-(params(85)*(-(y(110)*(1-T1614)))))-y(110)*(1-(1-params(85))*(1-params(82)));
  g1(73,81)=(-(params(85)*(-(y(110)*(-(y(75)*(-y(76))/(y(81)*y(81))))))));
  g1(73,85)=y(110)-y(110)*params(85);
  g1(73,96)=(-(params(85)*(-y(110))))-y(110)*(1-(1-params(85))*(1-params(83)));
  g1(73,110)=y(85)-params(85)*(y(85)-y(96)-T740)-(1-(1-params(85))*(1-params(83)))*(y(96)-y(66))-y(76)*(1-(1-params(85))*(1-params(82)));
  g1(73,112)=(-(params(85)*(-y(113))))-y(113)*(1-(1-params(85))*(1-params(84)));
  g1(73,113)=(-(params(85)*((-(y(110)*(-T1204)))-y(112))))-y(112)*(1-(1-params(85))*(1-params(84)));
  g1(74,69)=y(110)*(-T774)/y(111)-y(110)*T774*params(73)*(-params(131))/y(111);
  g1(74,82)=y(110)*(1-y(69)-y(94))*T1810/y(111)-y(110)*(y(101)-params(85)*y(94)-params(131)*y(69))*params(73)*T1810/y(111);
  g1(74,94)=y(110)*(-T774)/y(111)-T1908;
  g1(74,101)=T1978;
  g1(74,110)=(1-y(69)-y(94))*T774/y(111)-T774*params(73)*(y(101)-params(85)*y(94)-params(131)*y(69))/y(111);
  g1(74,111)=(-(y(110)*(1-y(69)-y(94))*T774))/(y(111)*y(111))-(-(y(110)*T774*params(73)*(y(101)-params(85)*y(94)-params(131)*y(69))))/(y(111)*y(111));
  g1(75,73)=T1691;
  g1(75,82)=y(110)*(1+y(73)-y(94)*(params(85)+(1-params(85))*params(83)))*T1810/y(111)-y(110)*(y(105)-params(85)*y(94)+params(131)*y(73))*params(73)*T1810/y(111);
  g1(75,94)=y(110)*T774*(-(params(85)+(1-params(85))*params(83)))/y(111)-T1908;
  g1(75,105)=T1978;
  g1(75,110)=T774*(1+y(73)-y(94)*(params(85)+(1-params(85))*params(83)))/y(111)-T774*params(73)*(y(105)-params(85)*y(94)+params(131)*y(73))/y(111);
  g1(75,111)=(-(y(110)*T774*(1+y(73)-y(94)*(params(85)+(1-params(85))*params(83)))))/(y(111)*y(111))-(-(y(110)*T774*params(73)*(y(105)-params(85)*y(94)+params(131)*y(73))))/(y(111)*y(111));
  g1(76,67)=T1691;
  g1(76,75)=(-(y(110)*T774*params(73)*(-(1/y(81)))/y(111)));
  g1(76,81)=(-(y(110)*T774*params(73)*T1782/y(111)));
  g1(76,82)=y(110)*(1+y(67)-y(94)*(params(85)+(1-params(85))*params(82)))*T1810/y(111)-y(110)*(y(99)-y(75)/y(81)-params(85)*y(94)+params(131)*y(67))*params(73)*T1810/y(111);
  g1(76,94)=y(110)*T774*(-(params(85)+(1-params(85))*params(82)))/y(111)-T1908;
  g1(76,99)=T1978;
  g1(76,110)=T774*(1+y(67)-y(94)*(params(85)+(1-params(85))*params(82)))/y(111)-T774*params(73)*(y(99)-y(75)/y(81)-params(85)*y(94)+params(131)*y(67))/y(111);
  g1(76,111)=(-(y(110)*T774*(1+y(67)-y(94)*(params(85)+(1-params(85))*params(82)))))/(y(111)*y(111))-(-(y(110)*T774*params(73)*(y(99)-y(75)/y(81)-params(85)*y(94)+params(131)*y(67))))/(y(111)*y(111));
  g1(77,11)=(-(y(112)*T774*params(73)*(-(1/y(17)))/y(111)));
  g1(77,17)=(-(y(112)*T774*params(73)*T1231/y(111)));
  g1(77,35)=(-(y(112)*T774*params(73)/y(111)));
  g1(77,82)=y(112)*(1+y(116)-y(94)*(params(85)+(1-params(85))*params(84)))*T1810/y(111)-y(112)*(y(35)-y(11)/y(17)-params(85)*y(94)+params(131)*y(116))*params(73)*T1810/y(111);
  g1(77,94)=y(112)*T774*(-(params(85)+(1-params(85))*params(84)))/y(111)-y(112)*T774*params(73)*(-params(85))/y(111);
  g1(77,111)=(-(y(112)*T774*(1+y(116)-y(94)*(params(85)+(1-params(85))*params(84)))))/(y(111)*y(111))-(-(y(112)*T774*params(73)*(y(35)-y(11)/y(17)-params(85)*y(94)+params(131)*y(116))))/(y(111)*y(111));
  g1(77,112)=T774*(1+y(116)-y(94)*(params(85)+(1-params(85))*params(84)))/y(111)-T774*params(73)*(y(35)-y(11)/y(17)-params(85)*y(94)+params(131)*y(116))/y(111);
  g1(77,116)=y(112)*T774/y(111)-y(112)*params(131)*T774*params(73)/y(111);
  g1(78,74)=y(110);
  g1(78,83)=y(111);
  g1(78,92)=y(111)-y(111)*(1+y(102)-params(91));
  g1(78,96)=y(110)*y(105)-y(110);
  g1(78,102)=(-(y(111)*y(92)));
  g1(78,105)=y(110)*y(96);
  g1(78,110)=y(74)+y(96)*y(105)-y(96);
  g1(78,111)=y(83)+y(92)-y(92)*(1+y(102)-params(91));
  g1(79,92)=(-(y(111)*(1-params(86))*params(77)));
  g1(79,96)=y(110)-y(110)*params(86);
  g1(79,110)=y(96)-y(96)*params(86);
  g1(79,111)=(-((1-params(86))*y(92)*params(77)));
  g1(80,74)=T1723-y(110)*params(74)*(-params(131))/T863/y(111);
  g1(80,83)=y(110)*(-((1-y(74)-y(95))*T1840))/(T863*T863)/y(111)-y(110)*(-(params(74)*(y(105)-params(131)*y(74)-params(86)*y(95))*T1840))/(T863*T863)/y(111);
  g1(80,95)=T1723-y(110)*params(74)*(-params(86))/T863/y(111);
  g1(80,105)=(-(y(110)*params(74)/T863/y(111)));
  g1(80,110)=(1-y(74)-y(95))/T863/y(111)-params(74)*(y(105)-params(131)*y(74)-params(86)*y(95))/T863/y(111);
  g1(80,111)=(-(y(110)*(1-y(74)-y(95))/T863))/(y(111)*y(111))-(-(y(110)*params(74)*(y(105)-params(131)*y(74)-params(86)*y(95))/T863))/(y(111)*y(111));
  g1(81,71)=(1-params(142))*(1/T863-params(131)*params(74)/T863);
  g1(81,83)=params(142)*((-(y(122)*(1-params(77)*(1-params(86))*y(95))*T1840))/(T863*T863)-(-(params(74)*(y(102)+params(131)*(1-params(91))*y(122))*T1840))/(T863*T863))+(1-params(142))*((-((1+y(71)-params(77)*(1-params(86))*y(95))*T1840))/(T863*T863)-(-(params(74)*(1+y(102)-params(91)+params(131)*y(71))*T1840))/(T863*T863));
  g1(81,95)=params(142)*y(122)*(-((1-params(86))*params(77)))/T863+(1-params(142))*(-((1-params(86))*params(77)))/T863;
  g1(81,102)=params(142)*(-(params(74)/T863))+(1-params(142))*(-(params(74)/T863));
  g1(81,122)=params(142)*((1-params(77)*(1-params(86))*y(95))/T863-params(131)*(1-params(91))*params(74)/T863);
  g1(82,65)=(-1);
  g1(82,92)=(-(params(75)*params(76)*1/y(92)));
  g1(82,93)=(-(params(75)*(1-params(76))*1/y(93)));
  g1(82,97)=(-((1-params(75))*1/y(97)));
  g1(82,108)=1/y(108);
  g1(83,92)=(-y(102));
  g1(83,102)=(-y(92));
  g1(83,108)=params(75)*params(76);
  g1(84,93)=(-y(103));
  g1(84,103)=(-y(93));
  g1(84,108)=params(75)*(1-params(76));
  g1(85,97)=(-y(107));
  g1(85,107)=(-y(97));
  g1(85,108)=1-params(75);
  g1(86,111)=1;
  g1(87,112)=1;
  g1(88,49)=y(110)-y(99)*y(110);
  g1(88,75)=1;
  g1(88,76)=y(110)-y(99)*y(110);
  g1(88,78)=y(110)-y(99)*y(110);
  g1(88,91)=(-y(111));
  g1(88,99)=(-(y(110)*(y(49)+y(78)+y(76))));
  g1(88,106)=y(111);
  g1(88,110)=y(49)+y(78)+y(76)-y(99)*(y(49)+y(78)+y(76));
  g1(88,111)=(-(y(91)-y(106)));
  g1(89,75)=1;
  g1(89,81)=(-((-y(110))+y(98)));
  g1(89,91)=(-y(111));
  g1(89,98)=(-y(81));
  g1(89,106)=y(111);
  g1(89,110)=y(81);
  g1(89,111)=(-(y(91)-y(106)));
  g1(89,118)=1;
  g1(90,49)=y(110)-y(110)*params(87);
  g1(90,75)=(-((1-params(87))*y(110)*y(108)*params(137)*(-params(138))*exp(y(75)*(-params(138)))));
  g1(90,76)=y(110)-y(110)*params(87);
  g1(90,78)=y(110)-y(110)*params(87);
  g1(90,108)=(-((1-params(87))*y(110)*params(137)*exp(y(75)*(-params(138)))));
  g1(90,110)=y(49)+y(78)+y(76)-((1-params(87))*y(108)*params(137)*exp(y(75)*(-params(138)))+(y(49)+y(78)+y(76))*params(87));
  g1(90,119)=1;
  g1(91,119)=1;
  g1(92,106)=1-params(89);
  g1(92,108)=(-((1-params(89))*params(101)));
  g1(93,110)=1;
  g1(94,65)=1-params(78);
  g1(95,66)=1-params(79);
  g1(96,75)=1-params(124);
  g1(97,117)=1-params(80);
  g1(98,67)=1;
  g1(99,68)=1;
  g1(100,116)=1;
  g1(101,69)=1;
  g1(102,70)=1;
  g1(103,71)=1;
  g1(104,72)=1;
  g1(105,73)=1;
  g1(106,74)=1;
  g1(107,49)=(-((-y(78))/((y(49)+y(78)+y(76))*(y(49)+y(78)+y(76)))));
  g1(107,76)=(-((-y(78))/((y(49)+y(78)+y(76))*(y(49)+y(78)+y(76)))));
  g1(107,78)=(-((y(49)+y(78)+y(76)-y(78))/((y(49)+y(78)+y(76))*(y(49)+y(78)+y(76)))));
  g1(107,80)=1;
  g1(108,98)=(-(params(128)+1-params(128)));
  g1(108,99)=1;
  g1(109,100)=(-(params(129)+1-params(129)));
  g1(109,101)=1;
  g1(110,104)=(-(params(130)+1-params(130)));
  g1(110,105)=1;
  g1(111,86)=1;
  g1(111,99)=(-1);
  g1(112,87)=1;
  g1(112,101)=(-1);
  g1(113,88)=1;
  g1(113,102)=(-1);
  g1(114,89)=1;
  g1(114,103)=(-1);
  g1(115,90)=1;
  g1(115,105)=(-1);
  g1(116,108)=(-((-(y(113)*y(112)*4*y(110)))/(4*y(110)*y(108)*4*y(110)*y(108))));
  g1(116,110)=(-((-(y(113)*y(112)*4*y(108)))/(4*y(110)*y(108)*4*y(110)*y(108))));
  g1(116,112)=(-(y(113)/(4*y(110)*y(108))));
  g1(116,113)=(-(y(112)/(4*y(110)*y(108))));
  g1(116,114)=1;
  g1(117,78)=(-(1/(4*y(108))));
  g1(117,79)=1;
  g1(117,108)=(-((-(4*y(78)))/(4*y(108)*4*y(108))));
  g1(118,76)=(-(1/(4*y(108))));
  g1(118,77)=1;
  g1(118,108)=(-((-(4*y(76)))/(4*y(108)*4*y(108))));
  g1(119,49)=(-y(110));
  g1(119,76)=(-y(110));
  g1(119,78)=(-y(110));
  g1(119,81)=y(110);
  g1(119,110)=y(81)-(y(49)+y(78)+y(76));
  g1(120,91)=(-(y(111)/(y(110)*params(109))));
  g1(120,109)=1;
  g1(120,110)=(-((-(y(111)*y(91)*params(109)))/(y(110)*params(109)*y(110)*params(109))));
  g1(120,111)=(-(y(91)/(y(110)*params(109))));
  g1(121,81)=(-(1/y(108)));
  g1(121,108)=(-((-y(81))/(y(108)*y(108))));
  g1(121,115)=1;
  g1(122,71)=params(142)*(params(131)*params(74)/T863+(-y(122))/T863);
  g1(122,83)=params(142)*((-((y(122)*(1-y(71))-1)*T1840))/(T863*T863)+(-(y(71)*params(131)*params(74)*T1840))/(T863*T863));
  g1(122,122)=1-params(142)+params(142)*(1-y(71))/T863;
  g1(123,72)=params(142)*(y(121)*(-y(123))+y(121)*params(72)*params(131));
  g1(123,121)=params(142)*(y(123)*(1-y(72))-1+y(72)*params(72)*params(131));
  g1(123,123)=1-params(142)+params(142)*y(121)*(1-y(72));
  g1(124,92)=(-(1-(1-params(91))));
  g1(124,124)=1;
  g1(125,93)=(-(1-(1-params(91))));
  g1(125,125)=1;
  g1(126,82)=(-1);
  g1(126,83)=(-1);
  g1(126,84)=(-1);
  g1(126,126)=1;
  g1(127,124)=(-1);
  g1(127,125)=(-1);
  g1(127,127)=1;
  g1(128,91)=y(111);
  g1(128,108)=(-y(110));
  g1(128,110)=y(128)-y(108);
  g1(128,111)=(-((-y(126))-y(127)-y(91)));
  g1(128,126)=y(111);
  g1(128,127)=y(111);
  g1(128,128)=y(110);
  if ~isreal(g1)
    g1 = real(g1)+imag(g1).^2;
  end
end
if nargout >= 3,
%
% Hessian matrix
%

  g2 = sparse([],[],[],128,16384);
end
end

%
% The k-th derivative of x^p
%
function dxp=getPowerDeriv(x,p,k)
    if (abs(x) < 1e-012) && (p > 0) && (k >= p) && (abs(p - round(p)) < 1e-012)
        dxp = 0;
    else
        dxp = x^(p-k);
        for i=0:k-1
            dxp = dxp*p;
            p = p-1;
        end
    end
end
